package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Bundle;
import android.os.Looper;
import android.support.annotation.NonNull;
import android.support.v4.app.FragmentActivity;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.GoogleApiAvailability;
import com.google.android.gms.common.api.Api;
import com.google.android.gms.common.api.Api.zza;
import com.google.android.gms.common.api.Api.zzb;
import com.google.android.gms.common.api.Api.zzc;
import com.google.android.gms.common.api.Api.zze;
import com.google.android.gms.common.api.GoogleApiClient;
import com.google.android.gms.common.api.GoogleApiClient.Builder;
import com.google.android.gms.common.api.GoogleApiClient.ConnectionCallbacks;
import com.google.android.gms.common.api.GoogleApiClient.OnConnectionFailedListener;
import com.google.android.gms.common.api.PendingResult;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.internal.zzae;
import com.google.android.gms.common.internal.zzaf;
import com.google.android.gms.common.internal.zzbq;
import com.google.android.gms.common.internal.zzr;
import com.google.android.gms.common.zzf;
import com.google.android.gms.internal.zzbgs;
import com.google.android.gms.internal.zzbgu;
import com.google.android.gms.internal.zzcyj;
import com.google.android.gms.internal.zzcyk;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.Queue;
import java.util.Set;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;
import java.util.concurrent.locks.Lock;

public final class zzba
  extends GoogleApiClient
  implements zzcd
{
  private final Lock zzfwa;
  private boolean zzftk;
  private final zzae zzfyc;
  private zzcc zzfyd = null;
  private final int zzfte;
  private final Context mContext;
  private final Looper zzalj;
  final Queue<zzm<?, ?>> zzfwo = new LinkedList();
  private volatile boolean zzfye;
  private long zzfyf = 120000L;
  private long zzfyg = 5000L;
  private final zzbf zzfyh;
  private final GoogleApiAvailability zzftg;
  private zzbx zzfyi;
  final Map<Api.zzc<?>, Api.zze> zzfyj;
  Set<Scope> zzfyk = new HashSet();
  private zzr zzfwf;
  private Map<Api<?>, Boolean> zzfwi;
  private Api.zza<? extends zzcyj, zzcyk> zzfth;
  private final zzcm zzfyl = new zzcm();
  private final ArrayList<zzt> zzfym;
  private Integer zzfyn = null;
  Set<zzdh> zzfyo = null;
  final zzdk zzfyp;
  private final zzaf zzfyq = new zzbb(this);
  
  public zzba(Context paramContext, Lock paramLock, Looper paramLooper, zzr paramzzr, GoogleApiAvailability paramGoogleApiAvailability, Api.zza<? extends zzcyj, zzcyk> paramzza, Map<Api<?>, Boolean> paramMap, List<GoogleApiClient.ConnectionCallbacks> paramList, List<GoogleApiClient.OnConnectionFailedListener> paramList1, Map<Api.zzc<?>, Api.zze> paramMap1, int paramInt1, int paramInt2, ArrayList<zzt> paramArrayList, boolean paramBoolean)
  {
    this.mContext = paramContext;
    this.zzfwa = paramLock;
    this.zzftk = false;
    this.zzfyc = new zzae(paramLooper, this.zzfyq);
    this.zzalj = paramLooper;
    this.zzfyh = new zzbf(this, paramLooper);
    this.zzftg = paramGoogleApiAvailability;
    this.zzfte = paramInt1;
    if (this.zzfte >= 0) {
      this.zzfyn = Integer.valueOf(paramInt2);
    }
    this.zzfwi = paramMap;
    this.zzfyj = paramMap1;
    this.zzfym = paramArrayList;
    this.zzfyp = new zzdk(this.zzfyj);
    Iterator localIterator = paramList.iterator();
    Object localObject;
    while (localIterator.hasNext())
    {
      localObject = (GoogleApiClient.ConnectionCallbacks)localIterator.next();
      this.zzfyc.registerConnectionCallbacks((GoogleApiClient.ConnectionCallbacks)localObject);
    }
    localIterator = paramList1.iterator();
    while (localIterator.hasNext())
    {
      localObject = (GoogleApiClient.OnConnectionFailedListener)localIterator.next();
      this.zzfyc.registerConnectionFailedListener((GoogleApiClient.OnConnectionFailedListener)localObject);
    }
    this.zzfwf = paramzzr;
    this.zzfth = paramzza;
  }
  
  public final <A extends Api.zzb, R extends Result, T extends zzm<R, A>> T zzd(@NonNull T paramT)
  {
    zzbq.checkArgument(paramT.zzahm() != null, "This task can not be enqueued (it's probably a Batch or malformed)");
    Object localObject1 = paramT.zzaht() != null ? paramT.zzaht().getName() : "the API";
    zzbq.checkArgument(this.zzfyj.containsKey(paramT.zzahm()), 65 + String.valueOf(localObject1).length() + "GoogleApiClient is not configured to use " + (String)localObject1 + " required for this call.");
    this.zzfwa.lock();
    try
    {
      if (this.zzfyd == null)
      {
        this.zzfwo.add(paramT);
        localObject1 = paramT;
        return (T)localObject1;
      }
      localObject1 = this.zzfyd.zzd(paramT);
      return (T)localObject1;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final <A extends Api.zzb, T extends zzm<? extends Result, A>> T zze(@NonNull T paramT)
  {
    zzbq.checkArgument(paramT.zzahm() != null, "This task can not be executed (it's probably a Batch or malformed)");
    Object localObject1 = paramT.zzaht() != null ? paramT.zzaht().getName() : "the API";
    zzbq.checkArgument(this.zzfyj.containsKey(paramT.zzahm()), 65 + String.valueOf(localObject1).length() + "GoogleApiClient is not configured to use " + (String)localObject1 + " required for this call.");
    this.zzfwa.lock();
    try
    {
      if (this.zzfyd == null) {
        throw new IllegalStateException("GoogleApiClient is not connected yet.");
      }
      if (this.zzfye)
      {
        this.zzfwo.add(paramT);
        while (!this.zzfwo.isEmpty())
        {
          localObject1 = (zzm)this.zzfwo.remove();
          this.zzfyp.zzb((BasePendingResult)localObject1);
          ((zzm)localObject1).zzu(Status.zzfts);
        }
        localObject1 = paramT;
        return (T)localObject1;
      }
      localObject1 = this.zzfyd.zze(paramT);
      return (T)localObject1;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final <L> zzci<L> zzt(@NonNull L paramL)
  {
    this.zzfwa.lock();
    try
    {
      Looper localLooper = this.zzalj;
      L ?;
      zzci localzzci = this.zzfyl.zza(? = paramL, localLooper, "NO_TYPE");
      return localzzci;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  @NonNull
  public final <C extends Api.zze> C zza(@NonNull Api.zzc<C> paramzzc)
  {
    Api.zze localzze;
    zzbq.checkNotNull(localzze = (Api.zze)this.zzfyj.get(paramzzc), "Appropriate Api was not requested.");
    return localzze;
  }
  
  public final boolean zza(@NonNull Api<?> paramApi)
  {
    return this.zzfyj.containsKey(paramApi.zzahm());
  }
  
  public final boolean hasConnectedApi(@NonNull Api<?> paramApi)
  {
    if (!isConnected()) {
      return false;
    }
    Api.zze localzze;
    return ((localzze = (Api.zze)this.zzfyj.get(paramApi.zzahm())) != null) && (localzze.isConnected());
  }
  
  @NonNull
  public final ConnectionResult getConnectionResult(@NonNull Api<?> paramApi)
  {
    this.zzfwa.lock();
    try
    {
      if ((!isConnected()) && (!this.zzfye)) {
        throw new IllegalStateException("Cannot invoke getConnectionResult unless GoogleApiClient is connected");
      }
      if (this.zzfyj.containsKey(paramApi.zzahm()))
      {
        ConnectionResult localConnectionResult1;
        if ((localConnectionResult1 = this.zzfyd.getConnectionResult(paramApi)) == null)
        {
          if (this.zzfye)
          {
            localConnectionResult2 = ConnectionResult.zzfqt;
            return localConnectionResult2;
          }
          Log.w("GoogleApiClientImpl", zzaju());
          Log.wtf("GoogleApiClientImpl", String.valueOf(paramApi.getName()).concat(" requested in getConnectionResult is not connected but is not present in the failed  connections map"), new Exception());
          localConnectionResult2 = new ConnectionResult(8, null);
          return localConnectionResult2;
        }
        ConnectionResult localConnectionResult2 = localConnectionResult1;
        return localConnectionResult2;
      }
      throw new IllegalArgumentException(String.valueOf(paramApi.getName()).concat(" was never registered with GoogleApiClient"));
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void connect()
  {
    this.zzfwa.lock();
    try
    {
      if (this.zzfte >= 0) {
        zzbq.zza(this.zzfyn != null, "Sign-in mode should have been set explicitly by auto-manage.");
      } else if (this.zzfyn == null) {
        this.zzfyn = Integer.valueOf(zza(this.zzfyj.values(), false));
      } else if (this.zzfyn.intValue() == 2) {
        throw new IllegalStateException("Cannot call connect() when SignInMode is set to SIGN_IN_MODE_OPTIONAL. Call connect(SIGN_IN_MODE_OPTIONAL) instead.");
      }
      connect(this.zzfyn.intValue());
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void connect(int paramInt)
  {
    this.zzfwa.lock();
    try
    {
      zzbq.checkArgument((paramInt == 3) || (paramInt == 1) || (paramInt == 2), 33 + "Illegal sign-in mode: " + paramInt);
      zzbu(paramInt);
      zzajq();
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final ConnectionResult blockingConnect()
  {
    zzbq.zza(Looper.myLooper() != Looper.getMainLooper(), "blockingConnect must not be called on the UI thread");
    this.zzfwa.lock();
    try
    {
      if (this.zzfte >= 0) {
        zzbq.zza(this.zzfyn != null, "Sign-in mode should have been set explicitly by auto-manage.");
      } else if (this.zzfyn == null) {
        this.zzfyn = Integer.valueOf(zza(this.zzfyj.values(), false));
      } else if (this.zzfyn.intValue() == 2) {
        throw new IllegalStateException("Cannot call blockingConnect() when sign-in mode is set to SIGN_IN_MODE_OPTIONAL. Call connect(SIGN_IN_MODE_OPTIONAL) instead.");
      }
      zzbu(this.zzfyn.intValue());
      this.zzfyc.zzamt();
      ConnectionResult localConnectionResult = this.zzfyd.blockingConnect();
      return localConnectionResult;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final ConnectionResult blockingConnect(long paramLong, @NonNull TimeUnit paramTimeUnit)
  {
    zzbq.zza(Looper.myLooper() != Looper.getMainLooper(), "blockingConnect must not be called on the UI thread");
    zzbq.checkNotNull(paramTimeUnit, "TimeUnit must not be null");
    this.zzfwa.lock();
    try
    {
      if (this.zzfyn == null) {
        this.zzfyn = Integer.valueOf(zza(this.zzfyj.values(), false));
      } else if (this.zzfyn.intValue() == 2) {
        throw new IllegalStateException("Cannot call blockingConnect() when sign-in mode is set to SIGN_IN_MODE_OPTIONAL. Call connect(SIGN_IN_MODE_OPTIONAL) instead.");
      }
      zzbu(this.zzfyn.intValue());
      this.zzfyc.zzamt();
      ConnectionResult localConnectionResult = this.zzfyd.blockingConnect(paramLong, paramTimeUnit);
      return localConnectionResult;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void disconnect()
  {
    this.zzfwa.lock();
    try
    {
      this.zzfyp.release();
      if (this.zzfyd != null) {
        this.zzfyd.disconnect();
      }
      this.zzfyl.release();
      Iterator localIterator = this.zzfwo.iterator();
      while (localIterator.hasNext())
      {
        zzm localzzm;
        (localzzm = (zzm)localIterator.next()).zza(null);
        localzzm.cancel();
      }
      this.zzfwo.clear();
      if (this.zzfyd == null) {
        return;
      }
      zzajs();
      this.zzfyc.zzams();
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void reconnect()
  {
    disconnect();
    connect();
  }
  
  public final PendingResult<Status> clearDefaultAccountAndReconnect()
  {
    zzbq.zza(isConnected(), "GoogleApiClient is not connected yet.");
    zzbq.zza(this.zzfyn.intValue() != 2, "Cannot use clearDefaultAccountAndReconnect with GOOGLE_SIGN_IN_API");
    zzdb localzzdb = new zzdb(this);
    if (this.zzfyj.containsKey(zzbgs.zzegu))
    {
      zza(this, localzzdb, false);
    }
    else
    {
      AtomicReference localAtomicReference = new AtomicReference();
      zzbc localzzbc = new zzbc(this, localAtomicReference, localzzdb);
      zzbd localzzbd = new zzbd(this, localzzdb);
      GoogleApiClient localGoogleApiClient = new GoogleApiClient.Builder(this.mContext).addApi(zzbgs.API).addConnectionCallbacks(localzzbc).addOnConnectionFailedListener(localzzbd).setHandler(this.zzfyh).build();
      localAtomicReference.set(localGoogleApiClient);
      localGoogleApiClient.connect();
    }
    return localzzdb;
  }
  
  private final void zza(GoogleApiClient paramGoogleApiClient, zzdb paramzzdb, boolean paramBoolean)
  {
    zzbgs.zzgif.zzd(paramGoogleApiClient).setResultCallback(new zzbe(this, paramzzdb, paramBoolean, paramGoogleApiClient));
  }
  
  public final void stopAutoManage(@NonNull FragmentActivity paramFragmentActivity)
  {
    zzce localzzce = new zzce(paramFragmentActivity);
    zzba localzzba = this;
    if (this.zzfte >= 0)
    {
      zzi.zza(localzzce).zzbq(localzzba.zzfte);
      return;
    }
    throw new IllegalStateException("Called stopAutoManage but automatic lifecycle management is not enabled.");
  }
  
  public final boolean isConnected()
  {
    return (this.zzfyd != null) && (this.zzfyd.isConnected());
  }
  
  public final boolean isConnecting()
  {
    return (this.zzfyd != null) && (this.zzfyd.isConnecting());
  }
  
  private final void zzbu(int paramInt)
  {
    if (this.zzfyn == null)
    {
      this.zzfyn = Integer.valueOf(paramInt);
    }
    else if (this.zzfyn.intValue() != paramInt)
    {
      String str1 = zzbv(paramInt);
      String str2 = zzbv(this.zzfyn.intValue());
      throw new IllegalStateException(51 + String.valueOf(str1).length() + String.valueOf(str2).length() + "Cannot use sign-in mode: " + str1 + ". Mode was already set to " + str2);
    }
    if (this.zzfyd != null) {
      return;
    }
    int i = 0;
    int j = 0;
    Iterator localIterator = this.zzfyj.values().iterator();
    while (localIterator.hasNext())
    {
      Api.zze localzze;
      if ((localzze = (Api.zze)localIterator.next()).zzacc()) {
        i = 1;
      }
      if (localzze.zzacn()) {
        j = 1;
      }
    }
    switch (this.zzfyn.intValue())
    {
    case 3: 
      break;
    case 1: 
      if (i == 0) {
        throw new IllegalStateException("SIGN_IN_MODE_REQUIRED cannot be used on a GoogleApiClient that does not contain any authenticated APIs. Use connect() instead.");
      }
      if (j != 0) {
        throw new IllegalStateException("Cannot use SIGN_IN_MODE_REQUIRED with GOOGLE_SIGN_IN_API. Use connect(SIGN_IN_MODE_OPTIONAL) instead.");
      }
      break;
    case 2: 
      if (i != 0)
      {
        if (this.zzftk)
        {
          this.zzfyd = new zzaa(this.mContext, this.zzfwa, this.zzalj, this.zzftg, this.zzfyj, this.zzfwf, this.zzfwi, this.zzfth, this.zzfym, this, true);
          return;
        }
        this.zzfyd = zzv.zza(this.mContext, this, this.zzfwa, this.zzalj, this.zzftg, this.zzfyj, this.zzfwf, this.zzfwi, this.zzfth, this.zzfym);
        return;
      }
      break;
    }
    if ((this.zzftk) && (j == 0))
    {
      this.zzfyd = new zzaa(this.mContext, this.zzfwa, this.zzalj, this.zzftg, this.zzfyj, this.zzfwf, this.zzfwi, this.zzfth, this.zzfym, this, false);
      return;
    }
    this.zzfyd = new zzbi(this.mContext, this, this.zzfwa, this.zzalj, this.zzftg, this.zzfyj, this.zzfwf, this.zzfwi, this.zzfth, this.zzfym, this);
  }
  
  private final void zzajq()
  {
    this.zzfyc.zzamt();
    this.zzfyd.connect();
  }
  
  private final void resume()
  {
    this.zzfwa.lock();
    try
    {
      if (this.zzfye) {
        zzajq();
      }
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  private final void zzajr()
  {
    this.zzfwa.lock();
    try
    {
      if (zzajs()) {
        zzajq();
      }
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  final boolean zzajs()
  {
    if (!this.zzfye) {
      return false;
    }
    this.zzfye = false;
    this.zzfyh.removeMessages(2);
    this.zzfyh.removeMessages(1);
    if (this.zzfyi != null)
    {
      this.zzfyi.unregister();
      this.zzfyi = null;
    }
    return true;
  }
  
  public final void registerConnectionCallbacks(@NonNull GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks)
  {
    this.zzfyc.registerConnectionCallbacks(paramConnectionCallbacks);
  }
  
  public final boolean isConnectionCallbacksRegistered(@NonNull GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks)
  {
    return this.zzfyc.isConnectionCallbacksRegistered(paramConnectionCallbacks);
  }
  
  public final void unregisterConnectionCallbacks(@NonNull GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks)
  {
    this.zzfyc.unregisterConnectionCallbacks(paramConnectionCallbacks);
  }
  
  public final void registerConnectionFailedListener(@NonNull GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    this.zzfyc.registerConnectionFailedListener(paramOnConnectionFailedListener);
  }
  
  public final boolean isConnectionFailedListenerRegistered(@NonNull GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    return this.zzfyc.isConnectionFailedListenerRegistered(paramOnConnectionFailedListener);
  }
  
  public final void unregisterConnectionFailedListener(@NonNull GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    this.zzfyc.unregisterConnectionFailedListener(paramOnConnectionFailedListener);
  }
  
  public final void zzk(Bundle paramBundle)
  {
    while (!this.zzfwo.isEmpty()) {
      zze((zzm)this.zzfwo.remove());
    }
    this.zzfyc.zzl(paramBundle);
  }
  
  public final void zzc(ConnectionResult paramConnectionResult)
  {
    if (!zzf.zzd(this.mContext, paramConnectionResult.getErrorCode())) {
      zzajs();
    }
    if (!this.zzfye)
    {
      this.zzfyc.zzk(paramConnectionResult);
      this.zzfyc.zzams();
    }
  }
  
  public final void zzf(int paramInt, boolean paramBoolean)
  {
    if ((paramInt == 1) && (!paramBoolean))
    {
      zzba localzzba = this;
      if (!this.zzfye)
      {
        localzzba.zzfye = true;
        if (localzzba.zzfyi == null) {
          localzzba.zzfyi = GoogleApiAvailability.zza(localzzba.mContext.getApplicationContext(), new zzbg(localzzba));
        }
        localzzba.zzfyh.sendMessageDelayed(localzzba.zzfyh.obtainMessage(1), localzzba.zzfyf);
        localzzba.zzfyh.sendMessageDelayed(localzzba.zzfyh.obtainMessage(2), localzzba.zzfyg);
      }
    }
    this.zzfyp.zzald();
    this.zzfyc.zzcf(paramInt);
    this.zzfyc.zzams();
    if (paramInt == 2) {
      zzajq();
    }
  }
  
  public final Context getContext()
  {
    return this.mContext;
  }
  
  public final Looper getLooper()
  {
    return this.zzalj;
  }
  
  public final boolean zza(zzcu paramzzcu)
  {
    return (this.zzfyd != null) && (this.zzfyd.zza(paramzzcu));
  }
  
  public final void zzaia()
  {
    if (this.zzfyd != null) {
      this.zzfyd.zzaia();
    }
  }
  
  public final void zza(zzdh paramzzdh)
  {
    this.zzfwa.lock();
    try
    {
      if (this.zzfyo == null) {
        this.zzfyo = new HashSet();
      }
      this.zzfyo.add(paramzzdh);
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void zzb(zzdh paramzzdh)
  {
    this.zzfwa.lock();
    try
    {
      if (this.zzfyo == null) {
        Log.wtf("GoogleApiClientImpl", "Attempted to remove pending transform when no transforms are registered.", new Exception());
      } else if (!this.zzfyo.remove(paramzzdh)) {
        Log.wtf("GoogleApiClientImpl", "Failed to remove pending transform - this may lead to memory leaks!", new Exception());
      } else if (!zzajt()) {
        this.zzfyd.zzais();
      }
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  final boolean zzajt()
  {
    this.zzfwa.lock();
    try
    {
      if (this.zzfyo == null) {
        return false;
      }
      boolean bool = !this.zzfyo.isEmpty();
      return bool;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  final String zzaju()
  {
    StringWriter localStringWriter = new StringWriter();
    dump("", null, new PrintWriter(localStringWriter), null);
    return localStringWriter.toString();
  }
  
  public final void dump(String paramString, FileDescriptor paramFileDescriptor, PrintWriter paramPrintWriter, String[] paramArrayOfString)
  {
    paramPrintWriter.append(paramString).append("mContext=").println(this.mContext);
    paramPrintWriter.append(paramString).append("mResuming=").print(this.zzfye);
    paramPrintWriter.append(" mWorkQueue.size()=").print(this.zzfwo.size());
    PrintWriter localPrintWriter = paramPrintWriter;
    zzdk localzzdk = this.zzfyp;
    localPrintWriter.append(" mUnconsumedApiCalls.size()=").println(localzzdk.zzgbs.size());
    if (this.zzfyd != null) {
      this.zzfyd.dump(paramString, paramFileDescriptor, paramPrintWriter, paramArrayOfString);
    }
  }
  
  public static int zza(Iterable<Api.zze> paramIterable, boolean paramBoolean)
  {
    int i = 0;
    int j = 0;
    Iterator localIterator = paramIterable.iterator();
    while (localIterator.hasNext())
    {
      Api.zze localzze;
      if ((localzze = (Api.zze)localIterator.next()).zzacc()) {
        i = 1;
      }
      if (localzze.zzacn()) {
        j = 1;
      }
    }
    if (i != 0)
    {
      if ((j != 0) && (paramBoolean)) {
        return 2;
      }
      return 1;
    }
    return 3;
  }
  
  private static String zzbv(int paramInt)
  {
    switch (paramInt)
    {
    case 3: 
      return "SIGN_IN_MODE_NONE";
    case 1: 
      return "SIGN_IN_MODE_REQUIRED";
    case 2: 
      return "SIGN_IN_MODE_OPTIONAL";
    }
    return "UNKNOWN";
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzba.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */