package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Bundle;
import android.os.Looper;
import android.os.Message;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Api;
import com.google.android.gms.common.api.Api.zza;
import com.google.android.gms.common.api.Api.zzb;
import com.google.android.gms.common.api.Api.zzc;
import com.google.android.gms.common.api.Api.zze;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.internal.zzr;
import com.google.android.gms.common.zzf;
import com.google.android.gms.internal.zzcyj;
import com.google.android.gms.internal.zzcyk;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;

public final class zzbi
  implements zzcc, zzu
{
  private final Lock zzfwa;
  private final Condition zzfyw;
  private final Context mContext;
  private final zzf zzfwk;
  private final zzbk zzfyx;
  final Map<Api.zzc<?>, Api.zze> zzfyj;
  final Map<Api.zzc<?>, ConnectionResult> zzfyy = new HashMap();
  private zzr zzfwf;
  private Map<Api<?>, Boolean> zzfwi;
  private Api.zza<? extends zzcyj, zzcyk> zzfth;
  private volatile zzbh zzfyz;
  private ConnectionResult zzfza = null;
  int zzfzb;
  final zzba zzfvq;
  final zzcd zzfzc;
  
  public zzbi(Context paramContext, zzba paramzzba, Lock paramLock, Looper paramLooper, zzf paramzzf, Map<Api.zzc<?>, Api.zze> paramMap, zzr paramzzr, Map<Api<?>, Boolean> paramMap1, Api.zza<? extends zzcyj, zzcyk> paramzza, ArrayList<zzt> paramArrayList, zzcd paramzzcd)
  {
    this.mContext = paramContext;
    this.zzfwa = paramLock;
    this.zzfwk = paramzzf;
    this.zzfyj = paramMap;
    this.zzfwf = paramzzr;
    this.zzfwi = paramMap1;
    this.zzfth = paramzza;
    this.zzfvq = paramzzba;
    this.zzfzc = paramzzcd;
    ArrayList localArrayList;
    int i = (localArrayList = (ArrayList)paramArrayList).size();
    int j = 0;
    ((zzt)???++).zza(this);
    this.zzfyx = new zzbk(this, paramLooper);
    this.zzfyw = paramLock.newCondition();
    this.zzfyz = new zzaz(this);
  }
  
  public final <A extends Api.zzb, R extends Result, T extends zzm<R, A>> T zzd(@NonNull T paramT)
  {
    paramT.zzaiq();
    return this.zzfyz.zzd(paramT);
  }
  
  public final <A extends Api.zzb, T extends zzm<? extends Result, A>> T zze(@NonNull T paramT)
  {
    paramT.zzaiq();
    return this.zzfyz.zze(paramT);
  }
  
  public final void connect()
  {
    this.zzfyz.connect();
  }
  
  public final ConnectionResult blockingConnect()
  {
    connect();
    while (isConnecting()) {
      try
      {
        this.zzfyw.await();
      }
      catch (InterruptedException localInterruptedException)
      {
        Thread.currentThread().interrupt();
        return new ConnectionResult(15, null);
      }
    }
    if (isConnected()) {
      return ConnectionResult.zzfqt;
    }
    if (this.zzfza != null) {
      return this.zzfza;
    }
    return new ConnectionResult(13, null);
  }
  
  public final ConnectionResult blockingConnect(long paramLong, TimeUnit paramTimeUnit)
  {
    connect();
    long l = paramTimeUnit.toNanos(paramLong);
    while (isConnecting()) {
      try
      {
        if (l <= 0L)
        {
          disconnect();
          return new ConnectionResult(14, null);
        }
        l = this.zzfyw.awaitNanos(l);
      }
      catch (InterruptedException localInterruptedException)
      {
        Thread.currentThread().interrupt();
        return new ConnectionResult(15, null);
      }
    }
    if (isConnected()) {
      return ConnectionResult.zzfqt;
    }
    if (this.zzfza != null) {
      return this.zzfza;
    }
    return new ConnectionResult(13, null);
  }
  
  public final void disconnect()
  {
    if (this.zzfyz.disconnect()) {
      this.zzfyy.clear();
    }
  }
  
  @Nullable
  public final ConnectionResult getConnectionResult(@NonNull Api<?> paramApi)
  {
    Api.zzc localzzc = paramApi.zzahm();
    if (this.zzfyj.containsKey(localzzc))
    {
      if (((Api.zze)this.zzfyj.get(localzzc)).isConnected()) {
        return ConnectionResult.zzfqt;
      }
      if (this.zzfyy.containsKey(localzzc)) {
        return (ConnectionResult)this.zzfyy.get(localzzc);
      }
    }
    return null;
  }
  
  final void zzajv()
  {
    this.zzfwa.lock();
    try
    {
      this.zzfyz = new zzao(this, this.zzfwf, this.zzfwi, this.zzfwk, this.zzfth, this.zzfwa, this.mContext);
      this.zzfyz.begin();
      this.zzfyw.signalAll();
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  final void zzajw()
  {
    this.zzfwa.lock();
    try
    {
      this.zzfvq.zzajs();
      this.zzfyz = new zzal(this);
      this.zzfyz.begin();
      this.zzfyw.signalAll();
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  final void zzg(ConnectionResult paramConnectionResult)
  {
    this.zzfwa.lock();
    try
    {
      this.zzfza = paramConnectionResult;
      this.zzfyz = new zzaz(this);
      this.zzfyz.begin();
      this.zzfyw.signalAll();
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final boolean isConnected()
  {
    return this.zzfyz instanceof zzal;
  }
  
  public final boolean isConnecting()
  {
    return this.zzfyz instanceof zzao;
  }
  
  public final boolean zza(zzcu paramzzcu)
  {
    return false;
  }
  
  public final void zzaia() {}
  
  public final void zzais()
  {
    if (isConnected()) {
      ((zzal)this.zzfyz).zzaji();
    }
  }
  
  public final void zza(@NonNull ConnectionResult paramConnectionResult, @NonNull Api<?> paramApi, boolean paramBoolean)
  {
    this.zzfwa.lock();
    try
    {
      this.zzfyz.zza(paramConnectionResult, paramApi, paramBoolean);
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void onConnected(@Nullable Bundle paramBundle)
  {
    this.zzfwa.lock();
    try
    {
      this.zzfyz.onConnected(paramBundle);
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final void onConnectionSuspended(int paramInt)
  {
    this.zzfwa.lock();
    try
    {
      this.zzfyz.onConnectionSuspended(paramInt);
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  final void zza(zzbj paramzzbj)
  {
    Message localMessage = this.zzfyx.obtainMessage(1, paramzzbj);
    this.zzfyx.sendMessage(localMessage);
  }
  
  final void zzb(RuntimeException paramRuntimeException)
  {
    Message localMessage = this.zzfyx.obtainMessage(2, paramRuntimeException);
    this.zzfyx.sendMessage(localMessage);
  }
  
  public final void dump(String paramString, FileDescriptor paramFileDescriptor, PrintWriter paramPrintWriter, String[] paramArrayOfString)
  {
    String str = String.valueOf(paramString).concat("  ");
    paramPrintWriter.append(paramString).append("mState=").println(this.zzfyz);
    Iterator localIterator = this.zzfwi.keySet().iterator();
    while (localIterator.hasNext())
    {
      Api localApi = (Api)localIterator.next();
      paramPrintWriter.append(paramString).append(localApi.getName()).println(":");
      ((Api.zze)this.zzfyj.get(localApi.zzahm())).dump(str, paramFileDescriptor, paramPrintWriter, paramArrayOfString);
    }
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzbi.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */