package com.google.android.gms.common.api.internal;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import com.google.android.gms.common.api.PendingResult;
import com.google.android.gms.common.api.PendingResult.zza;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.api.ResultCallback;
import com.google.android.gms.common.api.ResultTransform;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.TransformedResult;
import com.google.android.gms.common.internal.Hide;
import com.google.android.gms.common.internal.zzbq;
import java.util.concurrent.TimeUnit;

public final class zzct<R extends Result>
  extends PendingResult<R>
{
  private final Status mStatus;
  
  public zzct(Status paramStatus)
  {
    zzbq.checkNotNull(paramStatus, "Status must not be null");
    zzbq.checkArgument(!paramStatus.isSuccess(), "Status must not be success");
    this.mStatus = paramStatus;
  }
  
  @NonNull
  final Status getStatus()
  {
    return this.mStatus;
  }
  
  @NonNull
  public final R await()
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
  
  @NonNull
  public final R await(long paramLong, @NonNull TimeUnit paramTimeUnit)
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
  
  public final void cancel()
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
  
  public final boolean isCanceled()
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
  
  public final void setResultCallback(@NonNull ResultCallback<? super R> paramResultCallback)
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
  
  public final void setResultCallback(@NonNull ResultCallback<? super R> paramResultCallback, long paramLong, @NonNull TimeUnit paramTimeUnit)
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
  
  @Hide
  public final void zza(@NonNull PendingResult.zza paramzza)
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
  
  @Hide
  @NonNull
  public final <S extends Result> TransformedResult<S> then(@NonNull ResultTransform<? super R, ? extends S> paramResultTransform)
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
  
  @Hide
  @Nullable
  public final Integer zzaid()
  {
    throw new UnsupportedOperationException("Operation not supported on PendingResults generated by ResultTransform.createFailedResult()");
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzct.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */