package com.google.android.gms.common.internal;

import android.os.Bundle;
import android.os.Handler;
import android.os.Handler.Callback;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.GoogleApiClient.ConnectionCallbacks;
import com.google.android.gms.common.api.GoogleApiClient.OnConnectionFailedListener;
import java.util.ArrayList;
import java.util.concurrent.atomic.AtomicInteger;

public final class zzae
  implements Handler.Callback
{
  private final zzaf zzggl;
  private final ArrayList<GoogleApiClient.ConnectionCallbacks> zzggm = new ArrayList();
  private ArrayList<GoogleApiClient.ConnectionCallbacks> zzggn = new ArrayList();
  private final ArrayList<GoogleApiClient.OnConnectionFailedListener> zzggo = new ArrayList();
  private volatile boolean zzggp = false;
  private final AtomicInteger zzggq = new AtomicInteger(0);
  private boolean zzggr = false;
  private final Handler mHandler;
  private final Object mLock = new Object();
  
  public zzae(Looper paramLooper, zzaf paramzzaf)
  {
    this.zzggl = paramzzaf;
    this.mHandler = new Handler(paramLooper, this);
  }
  
  public final void zzams()
  {
    this.zzggp = false;
    this.zzggq.incrementAndGet();
  }
  
  public final void zzamt()
  {
    this.zzggp = true;
  }
  
  public final void zzl(Bundle paramBundle)
  {
    zzbq.zza(Looper.myLooper() == this.mHandler.getLooper(), "onConnectionSuccess must only be called on the Handler thread");
    synchronized (this.mLock)
    {
      zzbq.checkState(!this.zzggr);
      this.mHandler.removeMessages(1);
      this.zzggr = true;
      zzbq.checkState(this.zzggn.size() == 0);
      ArrayList localArrayList1 = new ArrayList(this.zzggm);
      int i = this.zzggq.get();
      ArrayList localArrayList2;
      int j = (localArrayList2 = (ArrayList)localArrayList1).size();
      int k = 0;
      if (k < j)
      {
        GoogleApiClient.ConnectionCallbacks localConnectionCallbacks = (GoogleApiClient.ConnectionCallbacks)???++;
        if (!this.zzggn.contains(localConnectionCallbacks)) {
          localConnectionCallbacks.onConnected(paramBundle);
        }
      }
      this.zzggn.clear();
      this.zzggr = false;
      return;
    }
  }
  
  public final void zzcf(int paramInt)
  {
    zzbq.zza(Looper.myLooper() == this.mHandler.getLooper(), "onUnintentionalDisconnection must only be called on the Handler thread");
    this.mHandler.removeMessages(1);
    synchronized (this.mLock)
    {
      this.zzggr = true;
      ArrayList localArrayList1 = new ArrayList(this.zzggm);
      int i = this.zzggq.get();
      ArrayList localArrayList2;
      int j = (localArrayList2 = (ArrayList)localArrayList1).size();
      int k = 0;
      if (k < j)
      {
        GoogleApiClient.ConnectionCallbacks localConnectionCallbacks = (GoogleApiClient.ConnectionCallbacks)???++;
        if (this.zzggm.contains(localConnectionCallbacks)) {
          localConnectionCallbacks.onConnectionSuspended(paramInt);
        }
      }
      this.zzggn.clear();
      this.zzggr = false;
      return;
    }
  }
  
  public final void zzk(ConnectionResult paramConnectionResult)
  {
    zzbq.zza(Looper.myLooper() == this.mHandler.getLooper(), "onConnectionFailure must only be called on the Handler thread");
    this.mHandler.removeMessages(1);
    synchronized (this.mLock)
    {
      ArrayList localArrayList1 = new ArrayList(this.zzggo);
      int i = this.zzggq.get();
      ArrayList localArrayList2;
      int j = (localArrayList2 = (ArrayList)localArrayList1).size();
      int k = 0;
      GoogleApiClient.OnConnectionFailedListener localOnConnectionFailedListener = (GoogleApiClient.OnConnectionFailedListener)???++;
      if ((!this.zzggp) || (this.zzggq.get() != i)) {
        return;
      }
      if (this.zzggo.contains(localOnConnectionFailedListener)) {
        localOnConnectionFailedListener.onConnectionFailed(paramConnectionResult);
      }
      return;
    }
  }
  
  public final void registerConnectionCallbacks(GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks)
  {
    zzbq.checkNotNull(paramConnectionCallbacks);
    synchronized (this.mLock)
    {
      if (this.zzggm.contains(paramConnectionCallbacks))
      {
        String str = String.valueOf(paramConnectionCallbacks);
        Log.w("GmsClientEvents", 62 + String.valueOf(str).length() + "registerConnectionCallbacks(): listener " + str + " is already registered");
      }
      else
      {
        this.zzggm.add(paramConnectionCallbacks);
      }
    }
    if (this.zzggl.isConnected()) {
      this.mHandler.sendMessage(this.mHandler.obtainMessage(1, paramConnectionCallbacks));
    }
  }
  
  /* Error */
  public final boolean isConnectionCallbacksRegistered(GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks)
  {
    // Byte code:
    //   0: aload_1
    //   1: invokestatic 52	com/google/android/gms/common/internal/zzbq:checkNotNull	(Ljava/lang/Object;)Ljava/lang/Object;
    //   4: pop
    //   5: aload_0
    //   6: getfield 36	com/google/android/gms/common/internal/zzae:mLock	Ljava/lang/Object;
    //   9: dup
    //   10: astore_2
    //   11: monitorenter
    //   12: aload_0
    //   13: getfield 38	com/google/android/gms/common/internal/zzae:zzggm	Ljava/util/ArrayList;
    //   16: aload_1
    //   17: invokevirtual 67	java/util/ArrayList:contains	(Ljava/lang/Object;)Z
    //   20: aload_2
    //   21: monitorexit
    //   22: ireturn
    //   23: astore_3
    //   24: aload_2
    //   25: monitorexit
    //   26: aload_3
    //   27: athrow
    // Local variable table:
    //   start	length	slot	name	signature
    //   0	28	0	this	zzae
    //   0	28	1	paramConnectionCallbacks	GoogleApiClient.ConnectionCallbacks
    //   10	15	2	Ljava/lang/Object;	Object
    //   23	4	3	localObject1	Object
    // Exception table:
    //   from	to	target	type
    //   12	22	23	finally
    //   23	26	23	finally
  }
  
  public final void unregisterConnectionCallbacks(GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks)
  {
    zzbq.checkNotNull(paramConnectionCallbacks);
    synchronized (this.mLock)
    {
      if (!this.zzggm.remove(paramConnectionCallbacks))
      {
        String str = String.valueOf(paramConnectionCallbacks);
        Log.w("GmsClientEvents", 52 + String.valueOf(str).length() + "unregisterConnectionCallbacks(): listener " + str + " not found");
      }
      else if (this.zzggr)
      {
        this.zzggn.add(paramConnectionCallbacks);
      }
      return;
    }
  }
  
  public final void registerConnectionFailedListener(GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    zzbq.checkNotNull(paramOnConnectionFailedListener);
    synchronized (this.mLock)
    {
      if (this.zzggo.contains(paramOnConnectionFailedListener))
      {
        String str = String.valueOf(paramOnConnectionFailedListener);
        Log.w("GmsClientEvents", 67 + String.valueOf(str).length() + "registerConnectionFailedListener(): listener " + str + " is already registered");
      }
      else
      {
        this.zzggo.add(paramOnConnectionFailedListener);
      }
      return;
    }
  }
  
  /* Error */
  public final boolean isConnectionFailedListenerRegistered(GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    // Byte code:
    //   0: aload_1
    //   1: invokestatic 52	com/google/android/gms/common/internal/zzbq:checkNotNull	(Ljava/lang/Object;)Ljava/lang/Object;
    //   4: pop
    //   5: aload_0
    //   6: getfield 36	com/google/android/gms/common/internal/zzae:mLock	Ljava/lang/Object;
    //   9: dup
    //   10: astore_2
    //   11: monitorenter
    //   12: aload_0
    //   13: getfield 40	com/google/android/gms/common/internal/zzae:zzggo	Ljava/util/ArrayList;
    //   16: aload_1
    //   17: invokevirtual 67	java/util/ArrayList:contains	(Ljava/lang/Object;)Z
    //   20: aload_2
    //   21: monitorexit
    //   22: ireturn
    //   23: astore_3
    //   24: aload_2
    //   25: monitorexit
    //   26: aload_3
    //   27: athrow
    // Local variable table:
    //   start	length	slot	name	signature
    //   0	28	0	this	zzae
    //   0	28	1	paramOnConnectionFailedListener	GoogleApiClient.OnConnectionFailedListener
    //   10	15	2	Ljava/lang/Object;	Object
    //   23	4	3	localObject1	Object
    // Exception table:
    //   from	to	target	type
    //   12	22	23	finally
    //   23	26	23	finally
  }
  
  public final void unregisterConnectionFailedListener(GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    zzbq.checkNotNull(paramOnConnectionFailedListener);
    synchronized (this.mLock)
    {
      if (!this.zzggo.remove(paramOnConnectionFailedListener))
      {
        String str = String.valueOf(paramOnConnectionFailedListener);
        Log.w("GmsClientEvents", 57 + String.valueOf(str).length() + "unregisterConnectionFailedListener(): listener " + str + " not found");
      }
      return;
    }
  }
  
  public final boolean handleMessage(Message paramMessage)
  {
    if (paramMessage.what == 1)
    {
      GoogleApiClient.ConnectionCallbacks localConnectionCallbacks = (GoogleApiClient.ConnectionCallbacks)paramMessage.obj;
      synchronized (this.mLock)
      {
        if ((this.zzggp) && (this.zzggl.isConnected()) && (this.zzggm.contains(localConnectionCallbacks)))
        {
          Bundle localBundle = this.zzggl.zzagp();
          localConnectionCallbacks.onConnected(localBundle);
        }
      }
      return true;
    }
    int i = paramMessage.what;
    Log.wtf("GmsClientEvents", 45 + "Don't know how to handle message: " + i, new Exception());
    return false;
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\internal\zzae.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */