package com.google.android.gms.common.internal;

import android.accounts.Account;
import android.content.Context;
import android.view.View;
import com.google.android.gms.common.api.Api;
import com.google.android.gms.common.api.GoogleApiClient.Builder;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.internal.zzcyk;
import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

public final class zzr
{
  private final Account zzeho;
  private final Set<Scope> zzfsw;
  private final Set<Scope> zzgfq;
  private final Map<Api<?>, zzt> zzgfr;
  private final int zzfsy;
  private final View zzfsz;
  private final String zzehh;
  private final String zzfta;
  private final zzcyk zzgfs;
  private Integer zzgft;
  
  public static zzr zzcm(Context paramContext)
  {
    return new GoogleApiClient.Builder(paramContext).zzaic();
  }
  
  @Hide
  public zzr(Account paramAccount, Set<Scope> paramSet, Map<Api<?>, zzt> paramMap, int paramInt, View paramView, String paramString1, String paramString2, zzcyk paramzzcyk)
  {
    this.zzeho = paramAccount;
    this.zzfsw = (paramSet == null ? Collections.EMPTY_SET : Collections.unmodifiableSet(paramSet));
    this.zzgfr = (paramMap == null ? Collections.EMPTY_MAP : paramMap);
    this.zzfsz = paramView;
    this.zzfsy = paramInt;
    this.zzehh = paramString1;
    this.zzfta = paramString2;
    this.zzgfs = paramzzcyk;
    HashSet localHashSet = new HashSet(this.zzfsw);
    Iterator localIterator = this.zzgfr.values().iterator();
    while (localIterator.hasNext())
    {
      zzt localzzt = (zzt)localIterator.next();
      localHashSet.addAll(localzzt.zzenh);
    }
    this.zzgfq = Collections.unmodifiableSet(localHashSet);
  }
  
  @Deprecated
  public final String getAccountName()
  {
    if (this.zzeho != null) {
      return this.zzeho.name;
    }
    return null;
  }
  
  public final Account getAccount()
  {
    return this.zzeho;
  }
  
  public final Account zzamd()
  {
    if (this.zzeho != null) {
      return this.zzeho;
    }
    return new Account("<<default account>>", "com.google");
  }
  
  public final int zzame()
  {
    return this.zzfsy;
  }
  
  public final Set<Scope> zzamf()
  {
    return this.zzfsw;
  }
  
  public final Set<Scope> zzamg()
  {
    return this.zzgfq;
  }
  
  public final Map<Api<?>, zzt> zzamh()
  {
    return this.zzgfr;
  }
  
  public final String zzami()
  {
    return this.zzehh;
  }
  
  public final String zzamj()
  {
    return this.zzfta;
  }
  
  public final View zzamk()
  {
    return this.zzfsz;
  }
  
  public final zzcyk zzaml()
  {
    return this.zzgfs;
  }
  
  public final Integer zzamm()
  {
    return this.zzgft;
  }
  
  public final void zzc(Integer paramInteger)
  {
    this.zzgft = paramInteger;
  }
  
  public final Set<Scope> zzc(Api<?> paramApi)
  {
    zzt localzzt;
    if (((localzzt = (zzt)this.zzgfr.get(paramApi)) == null) || (localzzt.zzenh.isEmpty())) {
      return this.zzfsw;
    }
    HashSet localHashSet;
    (localHashSet = new HashSet(this.zzfsw)).addAll(localzzt.zzenh);
    return localHashSet;
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\internal\zzr.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */