package com.google.android.gms.internal;

import android.content.Context;
import com.google.android.gms.clearcut.ClearcutLogger.zza;
import com.google.android.gms.phenotype.Phenotype;
import com.google.android.gms.phenotype.PhenotypeFlag;
import com.google.android.gms.phenotype.PhenotypeFlag.Factory;
import java.nio.charset.Charset;
import java.util.HashMap;
import java.util.Map;

public final class zzbft
  implements ClearcutLogger.zza
{
  private static final Charset UTF_8 = Charset.forName("UTF-8");
  private static final PhenotypeFlag.Factory zzfqj = new PhenotypeFlag.Factory(Phenotype.getContentProviderUri("com.google.android.gms.clearcut.public")).withGservicePrefix("gms:playlog:service:sampling_").withPhenotypePrefix("LogSampling__");
  private final Context zzaiq;
  private static Map<String, PhenotypeFlag<String>> zzfqk = null;
  private static Boolean zzfql = null;
  private static Long zzfqm = null;
  
  public zzbft(Context paramContext)
  {
    this.zzaiq = paramContext;
    if (zzfqk == null) {
      zzfqk = new HashMap();
    }
    if (this.zzaiq != null) {
      PhenotypeFlag.maybeInit(this.zzaiq);
    }
  }
  
  private static boolean zzcc(Context paramContext)
  {
    if (zzfql == null) {
      zzfql = Boolean.valueOf(zzbih.zzdd(paramContext).checkCallingOrSelfPermission("com.google.android.providers.gsf.permission.READ_GSERVICES") == 0);
    }
    return zzfql.booleanValue();
  }
  
  /* Error */
  private static zzbfu zzge(String arg0)
  {
    // Byte code:
    //   0: aload_0
    //   1: ifnonnull +5 -> 6
    //   4: aconst_null
    //   5: areturn
    //   6: ldc 1
    //   8: astore_1
    //   9: aload_0
    //   10: bipush 44
    //   12: invokevirtual 75	java/lang/String:indexOf	(I)I
    //   15: dup
    //   16: istore_2
    //   17: iflt +16 -> 33
    //   20: aload_0
    //   21: iconst_0
    //   22: iload_2
    //   23: invokevirtual 80	java/lang/String:substring	(II)Ljava/lang/String;
    //   26: astore_1
    //   27: iinc 2 1
    //   30: goto +5 -> 35
    //   33: iconst_0
    //   34: istore_2
    //   35: aload_0
    //   36: bipush 47
    //   38: iload_2
    //   39: invokevirtual 76	java/lang/String:indexOf	(II)I
    //   42: dup
    //   43: istore_3
    //   44: ifgt +39 -> 83
    //   47: ldc 4
    //   49: ldc 3
    //   51: aload_0
    //   52: invokestatic 82	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   55: dup
    //   56: invokevirtual 78	java/lang/String:length	()I
    //   59: ifeq +9 -> 68
    //   62: invokevirtual 73	java/lang/String:concat	(Ljava/lang/String;)Ljava/lang/String;
    //   65: goto +12 -> 77
    //   68: pop
    //   69: new 31	java/lang/String
    //   72: dup_x1
    //   73: swap
    //   74: invokespecial 72	java/lang/String:<init>	(Ljava/lang/String;)V
    //   77: invokestatic 49	android/util/Log:e	(Ljava/lang/String;Ljava/lang/String;)I
    //   80: pop
    //   81: aconst_null
    //   82: areturn
    //   83: aload_0
    //   84: iload_2
    //   85: iload_3
    //   86: invokevirtual 80	java/lang/String:substring	(II)Ljava/lang/String;
    //   89: invokestatic 69	java/lang/Long:parseLong	(Ljava/lang/String;)J
    //   92: lstore 4
    //   94: aload_0
    //   95: iload_3
    //   96: iconst_1
    //   97: iadd
    //   98: invokevirtual 79	java/lang/String:substring	(I)Ljava/lang/String;
    //   101: invokestatic 69	java/lang/Long:parseLong	(Ljava/lang/String;)J
    //   104: lstore 6
    //   106: goto +43 -> 149
    //   109: astore 8
    //   111: ldc 4
    //   113: ldc 12
    //   115: aload_0
    //   116: invokestatic 82	java/lang/String:valueOf	(Ljava/lang/Object;)Ljava/lang/String;
    //   119: dup
    //   120: invokevirtual 78	java/lang/String:length	()I
    //   123: ifeq +9 -> 132
    //   126: invokevirtual 73	java/lang/String:concat	(Ljava/lang/String;)Ljava/lang/String;
    //   129: goto +12 -> 141
    //   132: pop
    //   133: new 31	java/lang/String
    //   136: dup_x1
    //   137: swap
    //   138: invokespecial 72	java/lang/String:<init>	(Ljava/lang/String;)V
    //   141: aload 8
    //   143: invokestatic 50	android/util/Log:e	(Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)I
    //   146: pop
    //   147: aconst_null
    //   148: areturn
    //   149: lload 4
    //   151: lconst_0
    //   152: lcmp
    //   153: iflt +10 -> 163
    //   156: lload 6
    //   158: lconst_0
    //   159: lcmp
    //   160: ifge +44 -> 204
    //   163: ldc 4
    //   165: bipush 72
    //   167: new 32	java/lang/StringBuilder
    //   170: dup_x1
    //   171: swap
    //   172: invokespecial 83	java/lang/StringBuilder:<init>	(I)V
    //   175: ldc 11
    //   177: invokevirtual 85	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   180: lload 4
    //   182: invokevirtual 84	java/lang/StringBuilder:append	(J)Ljava/lang/StringBuilder;
    //   185: ldc 2
    //   187: invokevirtual 85	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   190: lload 6
    //   192: invokevirtual 84	java/lang/StringBuilder:append	(J)Ljava/lang/StringBuilder;
    //   195: invokevirtual 86	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   198: invokestatic 49	android/util/Log:e	(Ljava/lang/String;Ljava/lang/String;)I
    //   201: pop
    //   202: aconst_null
    //   203: areturn
    //   204: new 19	com/google/android/gms/internal/zzbfu
    //   207: dup
    //   208: aload_1
    //   209: lload 4
    //   211: lload 6
    //   213: invokespecial 54	com/google/android/gms/internal/zzbfu:<init>	(Ljava/lang/String;JJ)V
    //   216: areturn
    // Exception table:
    //   from	to	target	type
    //   83	106	109	java/lang/NumberFormatException
  }
  
  /* Error */
  public final boolean zzg(String arg1, int arg2)
  {
    // Byte code:
    //   0: aconst_null
    //   1: astore_3
    //   2: aload_1
    //   3: ifnull +15 -> 18
    //   6: aload_1
    //   7: invokevirtual 77	java/lang/String:isEmpty	()Z
    //   10: ifne +8 -> 18
    //   13: aload_1
    //   14: astore_3
    //   15: goto +12 -> 27
    //   18: iload_2
    //   19: iflt +8 -> 27
    //   22: iload_2
    //   23: invokestatic 81	java/lang/String:valueOf	(I)Ljava/lang/String;
    //   26: astore_3
    //   27: aload_3
    //   28: ifnonnull +5 -> 33
    //   31: iconst_1
    //   32: ireturn
    //   33: aload_0
    //   34: aload_3
    //   35: astore 6
    //   37: dup
    //   38: astore 5
    //   40: getfield 40	com/google/android/gms/internal/zzbft:zzaiq	Landroid/content/Context;
    //   43: ifnull +14 -> 57
    //   46: aload 5
    //   48: getfield 40	com/google/android/gms/internal/zzbft:zzaiq	Landroid/content/Context;
    //   51: invokestatic 52	com/google/android/gms/internal/zzbft:zzcc	(Landroid/content/Context;)Z
    //   54: ifne +7 -> 61
    //   57: aconst_null
    //   58: goto +54 -> 112
    //   61: getstatic 42	com/google/android/gms/internal/zzbft:zzfqk	Ljava/util/Map;
    //   64: aload 6
    //   66: invokeinterface 93 2 0
    //   71: checkcast 24	com/google/android/gms/phenotype/PhenotypeFlag
    //   74: dup
    //   75: astore 7
    //   77: ifnonnull +27 -> 104
    //   80: getstatic 41	com/google/android/gms/internal/zzbft:zzfqj	Lcom/google/android/gms/phenotype/PhenotypeFlag$Factory;
    //   83: aload 6
    //   85: aconst_null
    //   86: invokevirtual 62	com/google/android/gms/phenotype/PhenotypeFlag$Factory:createFlag	(Ljava/lang/String;Ljava/lang/String;)Lcom/google/android/gms/phenotype/PhenotypeFlag;
    //   89: astore 7
    //   91: getstatic 42	com/google/android/gms/internal/zzbft:zzfqk	Ljava/util/Map;
    //   94: aload 6
    //   96: aload 7
    //   98: invokeinterface 94 3 0
    //   103: pop
    //   104: aload 7
    //   106: invokevirtual 59	com/google/android/gms/phenotype/PhenotypeFlag:get	()Ljava/lang/Object;
    //   109: checkcast 31	java/lang/String
    //   112: invokestatic 53	com/google/android/gms/internal/zzbft:zzge	(Ljava/lang/String;)Lcom/google/android/gms/internal/zzbfu;
    //   115: dup
    //   116: astore 4
    //   118: ifnonnull +5 -> 123
    //   121: iconst_1
    //   122: ireturn
    //   123: aload 4
    //   125: getfield 45	com/google/android/gms/internal/zzbfu:zzfqn	Ljava/lang/String;
    //   128: aload_0
    //   129: getfield 40	com/google/android/gms/internal/zzbft:zzaiq	Landroid/content/Context;
    //   132: astore 5
    //   134: getstatic 44	com/google/android/gms/internal/zzbft:zzfqm	Ljava/lang/Long;
    //   137: ifnonnull +50 -> 187
    //   140: aload 5
    //   142: ifnull +41 -> 183
    //   145: aload 5
    //   147: invokestatic 52	com/google/android/gms/internal/zzbft:zzcc	(Landroid/content/Context;)Z
    //   150: ifeq +23 -> 173
    //   153: aload 5
    //   155: invokevirtual 48	android/content/Context:getContentResolver	()Landroid/content/ContentResolver;
    //   158: ldc 7
    //   160: lconst_0
    //   161: invokestatic 57	com/google/android/gms/internal/zzdnm:getLong	(Landroid/content/ContentResolver;Ljava/lang/String;J)J
    //   164: invokestatic 70	java/lang/Long:valueOf	(J)Ljava/lang/Long;
    //   167: putstatic 44	com/google/android/gms/internal/zzbft:zzfqm	Ljava/lang/Long;
    //   170: goto +17 -> 187
    //   173: lconst_0
    //   174: invokestatic 70	java/lang/Long:valueOf	(J)Ljava/lang/Long;
    //   177: putstatic 44	com/google/android/gms/internal/zzbft:zzfqm	Ljava/lang/Long;
    //   180: goto +7 -> 187
    //   183: lconst_0
    //   184: goto +9 -> 193
    //   187: getstatic 44	com/google/android/gms/internal/zzbft:zzfqm	Ljava/lang/Long;
    //   190: invokevirtual 68	java/lang/Long:longValue	()J
    //   193: lstore 6
    //   195: dup
    //   196: astore 5
    //   198: ifnull +11 -> 209
    //   201: aload 5
    //   203: invokevirtual 77	java/lang/String:isEmpty	()Z
    //   206: ifeq +22 -> 228
    //   209: bipush 8
    //   211: invokestatic 87	java/nio/ByteBuffer:allocate	(I)Ljava/nio/ByteBuffer;
    //   214: lload 6
    //   216: invokevirtual 90	java/nio/ByteBuffer:putLong	(J)Ljava/nio/ByteBuffer;
    //   219: invokevirtual 88	java/nio/ByteBuffer:array	()[B
    //   222: invokestatic 51	com/google/android/gms/internal/zzbfo:zzi	([B)J
    //   225: goto +46 -> 271
    //   228: aload 5
    //   230: getstatic 39	com/google/android/gms/internal/zzbft:UTF_8	Ljava/nio/charset/Charset;
    //   233: invokevirtual 74	java/lang/String:getBytes	(Ljava/nio/charset/Charset;)[B
    //   236: dup
    //   237: astore 8
    //   239: arraylength
    //   240: bipush 8
    //   242: iadd
    //   243: invokestatic 87	java/nio/ByteBuffer:allocate	(I)Ljava/nio/ByteBuffer;
    //   246: dup
    //   247: astore 9
    //   249: aload 8
    //   251: invokevirtual 89	java/nio/ByteBuffer:put	([B)Ljava/nio/ByteBuffer;
    //   254: pop
    //   255: aload 9
    //   257: lload 6
    //   259: invokevirtual 90	java/nio/ByteBuffer:putLong	(J)Ljava/nio/ByteBuffer;
    //   262: pop
    //   263: aload 9
    //   265: invokevirtual 88	java/nio/ByteBuffer:array	()[B
    //   268: invokestatic 51	com/google/android/gms/internal/zzbfo:zzi	([B)J
    //   271: aload 4
    //   273: getfield 46	com/google/android/gms/internal/zzbfu:zzfqo	J
    //   276: aload 4
    //   278: getfield 47	com/google/android/gms/internal/zzbfu:zzfqp	J
    //   281: lstore 9
    //   283: lstore 7
    //   285: lstore 5
    //   287: lload 7
    //   289: lconst_0
    //   290: lcmp
    //   291: iflt +10 -> 301
    //   294: lload 9
    //   296: lconst_0
    //   297: lcmp
    //   298: ifge +44 -> 342
    //   301: new 27	java/lang/IllegalArgumentException
    //   304: dup
    //   305: bipush 72
    //   307: new 32	java/lang/StringBuilder
    //   310: dup_x1
    //   311: swap
    //   312: invokespecial 83	java/lang/StringBuilder:<init>	(I)V
    //   315: ldc 11
    //   317: invokevirtual 85	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   320: lload 7
    //   322: invokevirtual 84	java/lang/StringBuilder:append	(J)Ljava/lang/StringBuilder;
    //   325: ldc 2
    //   327: invokevirtual 85	java/lang/StringBuilder:append	(Ljava/lang/String;)Ljava/lang/StringBuilder;
    //   330: lload 9
    //   332: invokevirtual 84	java/lang/StringBuilder:append	(J)Ljava/lang/StringBuilder;
    //   335: invokevirtual 86	java/lang/StringBuilder:toString	()Ljava/lang/String;
    //   338: invokespecial 67	java/lang/IllegalArgumentException:<init>	(Ljava/lang/String;)V
    //   341: athrow
    //   342: lload 9
    //   344: lconst_0
    //   345: lcmp
    //   346: ifle +54 -> 400
    //   349: lload 5
    //   351: lload 9
    //   353: lstore 13
    //   355: dup2
    //   356: lstore 11
    //   358: lconst_0
    //   359: lcmp
    //   360: iflt +11 -> 371
    //   363: lload 11
    //   365: lload 13
    //   367: lrem
    //   368: goto +24 -> 392
    //   371: ldc2_w 37
    //   374: lload 13
    //   376: lrem
    //   377: lconst_1
    //   378: ladd
    //   379: lload 11
    //   381: ldc2_w 37
    //   384: land
    //   385: lload 13
    //   387: lrem
    //   388: ladd
    //   389: lload 13
    //   391: lrem
    //   392: lload 7
    //   394: lcmp
    //   395: ifge +5 -> 400
    //   398: iconst_1
    //   399: ireturn
    //   400: iconst_0
    //   401: ireturn
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\internal\zzbft.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */