package com.google.android.gms.internal;

import android.accounts.Account;
import android.content.Context;
import android.os.Bundle;
import android.os.Looper;
import android.os.RemoteException;
import android.util.Log;
import com.google.android.gms.auth.api.signin.GoogleSignInAccount;
import com.google.android.gms.auth.api.signin.internal.zzaa;
import com.google.android.gms.common.api.GoogleApiClient.ConnectionCallbacks;
import com.google.android.gms.common.api.GoogleApiClient.OnConnectionFailedListener;
import com.google.android.gms.common.internal.zzab;
import com.google.android.gms.common.internal.zzan;
import com.google.android.gms.common.internal.zzbq;
import com.google.android.gms.common.internal.zzbr;
import com.google.android.gms.common.internal.zzd;
import com.google.android.gms.common.internal.zzm;
import com.google.android.gms.common.internal.zzr;

public final class zzcyt
  extends zzab<zzcyr>
  implements zzcyj
{
  private final boolean zzklw = true;
  private final zzr zzfwf;
  private final Bundle zzklx;
  private Integer zzgft;
  
  private zzcyt(Context paramContext, Looper paramLooper, boolean paramBoolean, zzr paramzzr, Bundle paramBundle, GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks, GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    super(paramContext, paramLooper, 44, paramzzr, paramConnectionCallbacks, paramOnConnectionFailedListener);
    this.zzfwf = paramzzr;
    this.zzklx = paramBundle;
    this.zzgft = paramzzr.zzamm();
  }
  
  public zzcyt(Context paramContext, Looper paramLooper, boolean paramBoolean, zzr paramzzr, zzcyk paramzzcyk, GoogleApiClient.ConnectionCallbacks paramConnectionCallbacks, GoogleApiClient.OnConnectionFailedListener paramOnConnectionFailedListener)
  {
    this(paramContext, paramLooper, true, paramzzr, zza(paramzzr), paramConnectionCallbacks, paramOnConnectionFailedListener);
  }
  
  public final boolean zzacc()
  {
    return this.zzklw;
  }
  
  public final void zza(zzan paramzzan, boolean paramBoolean)
  {
    try
    {
      ((zzcyr)zzalw()).zza(paramzzan, this.zzgft.intValue(), paramBoolean);
      return;
    }
    catch (RemoteException localRemoteException)
    {
      Log.w("SignInClientImpl", "Remote service probably died when saveDefaultAccount is called");
    }
  }
  
  public final void zzbet()
  {
    try
    {
      ((zzcyr)zzalw()).zzev(this.zzgft.intValue());
      return;
    }
    catch (RemoteException localRemoteException)
    {
      Log.w("SignInClientImpl", "Remote service probably died when clearAccountFromSessionStore is called");
    }
  }
  
  public final void zza(zzcyp paramzzcyp)
  {
    zzbq.checkNotNull(paramzzcyp, "Expecting a valid ISignInCallbacks");
    try
    {
      zzcyt localzzcyt = this;
      Account localAccount = this.zzfwf.zzamd();
      GoogleSignInAccount localGoogleSignInAccount = null;
      if ("<<default account>>".equals(localAccount.name)) {
        localGoogleSignInAccount = zzaa.zzbs(localzzcyt.getContext()).zzacx();
      }
      zzbr localzzbr = new zzbr(localAccount, localzzcyt.zzgft.intValue(), localGoogleSignInAccount);
      ((zzcyr)zzalw()).zza(new zzcyu(localzzbr), paramzzcyp);
      return;
    }
    catch (RemoteException localRemoteException1)
    {
      Log.w("SignInClientImpl", "Remote service probably died when signIn is called");
      try
      {
        paramzzcyp.zzb(new zzcyw(8));
        return;
      }
      catch (RemoteException localRemoteException2)
      {
        Log.wtf("SignInClientImpl", "ISignInCallbacks#onSignInComplete should be executed from the same process, unexpected RemoteException.", localRemoteException1);
      }
    }
  }
  
  protected final String zzhm()
  {
    return "com.google.android.gms.signin.service.START";
  }
  
  protected final String zzhn()
  {
    return "com.google.android.gms.signin.internal.ISignInService";
  }
  
  protected final Bundle zzabt()
  {
    String str = this.zzfwf.zzami();
    if (!getContext().getPackageName().equals(str)) {
      this.zzklx.putString("com.google.android.gms.signin.internal.realClientPackageName", this.zzfwf.zzami());
    }
    return this.zzklx;
  }
  
  public final void connect()
  {
    zza(new zzm(this));
  }
  
  public static Bundle zza(zzr paramzzr)
  {
    zzcyk localzzcyk = paramzzr.zzaml();
    Integer localInteger = paramzzr.zzamm();
    Bundle localBundle;
    (localBundle = new Bundle()).putParcelable("com.google.android.gms.signin.internal.clientRequestedAccount", paramzzr.getAccount());
    if (localInteger != null) {
      localBundle.putInt("com.google.android.gms.common.internal.ClientSettings.sessionId", localInteger.intValue());
    }
    if (localzzcyk != null)
    {
      localBundle.putBoolean("com.google.android.gms.signin.internal.offlineAccessRequested", localzzcyk.zzbeu());
      localBundle.putBoolean("com.google.android.gms.signin.internal.idTokenRequested", localzzcyk.isIdTokenRequested());
      localBundle.putString("com.google.android.gms.signin.internal.serverClientId", localzzcyk.getServerClientId());
      localBundle.putBoolean("com.google.android.gms.signin.internal.usePromptModeForAuthCode", true);
      localBundle.putBoolean("com.google.android.gms.signin.internal.forceCodeForRefreshToken", localzzcyk.zzbev());
      localBundle.putString("com.google.android.gms.signin.internal.hostedDomain", localzzcyk.zzbew());
      localBundle.putBoolean("com.google.android.gms.signin.internal.waitForAccessTokenRefresh", localzzcyk.zzbex());
      if (localzzcyk.zzbey() != null) {
        localBundle.putLong("com.google.android.gms.signin.internal.authApiSignInModuleVersion", localzzcyk.zzbey().longValue());
      }
      if (localzzcyk.zzbez() != null) {
        localBundle.putLong("com.google.android.gms.signin.internal.realClientLibraryVersion", localzzcyk.zzbez().longValue());
      }
    }
    return localBundle;
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\internal\zzcyt.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */